<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="com.poscoict.glueframework.context.GlueContext" %>
<%@ page import="com.poscoict.glueframework.web.control.GlueWebConstants" %>
<%@ page import="com.poscoict.glueframework.biz.control.GlueBizControlConstants" %>
<%@ page import="java.util.*" %>
<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<br>
<button id="connect">connect</button> &nbsp;&nbsp;
<button id="disconnect" disabled="">disconnect</button>
&nbsp;&nbsp;
<input type="text" id="message" value="Enter ANY TEXT to send">
<br><br>
<textarea id="messages" style="width: 100%; height: 200px;" readonly=""></textarea>
<script src="http://code.jquery.com/jquery-2.1.3.min.js"></script>
<script type="text/javascript">
    var ws;
 
    function connect() {
        ws = new WebSocket('ws://localhost:8080/sample-websocket/sample.socket');
        ws.onopen = function () {
            console.log('websocket opened');
        };
        ws.onmessage = function (message) {
            console.log(message);
            console.log('receive message : ' + message.data);
            $('#messages').val($('#messages').val() + message.data + '\n');
            document.getElementById('messages').scrollTop = document.getElementById('messages').scrollHeight;
        };
        ws.onclose = function (event) {
            console.log(event);
            console.log('websocket closed');
        };
    }
 
    function disconnect() {
        if (ws) {
            ws.close();
            ws = null;
        }
    }
 
    $(function () {
        $('#connect').click(function () {
            connect();
            $(this).attr('disabled', true);
            $('#disconnect').removeAttr('disabled');
        });
 
        $('#disconnect').click(function () {
            disconnect();
            $(this).attr('disabled', true);
            $('#connect').removeAttr('disabled');
        });
 
        $('#message').keydown(event, function () {
            if (event.keyCode === 13) {
                ws.send($(this).val());
                $(this).val('');
            }
        });
    });
</script>

</body>
</html>
